Subject: Re: [dispatch] processing path for image/webp rfc

From: James Zern <[email-masked]>
Date: Tue, 27 Jul 2021 20:58:28 -0700

On Wed, Jun 30, 2021 at 7:00 PM James Zern <[email-masked]> wrote:

>
>
> On Tue, May 25, 2021 at 12:31 PM James Zern <[email-masked]> wrote:
>
>> Just bumping the thread for visibility. Are there any opinions on the
>> right processing path for the image/webp mime-type?
>>
>> On Wed, May 12, 2021 at 10:13 AM Murray S. Kucherawy <[email-masked]>
>> wrote:
>>
>>> On Thu, May 6, 2021 at 6:45 PM James Zern <jzern=
>>> [email-masked]> wrote:
>>>
>>>> On Thu, May 6, 2021 at 12:53 AM Murray S. Kucherawy <
>>>> [email-masked]> wrote:
>>>>
>>>>> On Thu, Apr 29, 2021 at 7:58 PM James Zern <[email-masked]> wrote:
>>>>>
>>>>>> It was suggested I post a message here requesting advice on the
>>>>>> processing path of my submission to register the image/webp mime-type [1].
>>>>>> I'm not familiar with the process, so if you could have a look and see if
>>>>>> this is appropriate for the DISPATCH working group or suggest another I'd
>>>>>> appreciate it.
>>>>>>
>>>>>
> In a thread on media-types there was a reference to MIME types supported
> by Debian packages [3]. image/webp is widely accepted, but I'd like to see
> it recognized officially to help unblock other work [4][5].
>

There were some questions at Dispatch 111 [6] about the format
specification and whether it was possible to have an independent
implementation.
The references for the format are in the draft [1]: lossy compression [7],
lossless compression [8] and the container [9].
Some examples of independent implementations are Apple (Safari, Mac OS,
iOS), go lang [10] and FFmpeg [11].

>
>
>>
>>>>> Just a reminder that DISPATCH's charter includes:
>>>>>
>>>>> "- By agreement with ART ADs, processing simple administrative
>>>>> documents."
>>>>>
>>>>> If we agree that this work fits that description, then that's a
>>>>> processing option here.
>>>>>
>>>>> I would also suggest this be floated by [email-masked], if that
>>>>> hasn't been done already.
>>>>>
>>>>
>>>> I requested a review on that list [2]. Did you want to start a separate
>>>> thread to request advice on a processing path?
>>>>
>>>
>>> Nope, that's what this thread is for.
>>>
>>
> [1] https://datatracker.ietf.org/doc/draft-zern-webp/
> [2]
> https://mailarchive.ietf.org/arch/msg/media-types/EYRWG6ochcIhAFhBwHCJlsBVV38/
> [3]
> https://mailarchive.ietf.org/arch/msg/media-types/r0MJSX-WIywIAnq9w7slgWtLhUU/
> [4] https://crbug.com/webp/448
> [5] https://crbug.com/webp/485
>

[6] https://datatracker.ietf.org/meeting/111/session/dispatch
[7] https://datatracker.ietf.org/doc/html/rfc6386#section-12
[8]
https://developers.google.com/speed/webp/docs/webp_lossless_bitstream_specification
[9] https://developers.google.com/speed/webp/docs/riff_container
[10] https://pkg.go.dev/golang.org/x/image/webp
[11]
https://git.ffmpeg.org/gitweb/ffmpeg.git/blob_plain/refs/heads/release/4.4:/libavcodec/webp.c

>
>
>>
>>> -MSK
>>> _______________________________________________
>>> dispatch mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/dispatch
>>>
>>